# SAMMS ENTERPRISE SOVEREIGN OPERATING SYSTEM - Secrets Template
# IMPORTANT: Replace placeholder values before deploying
apiVersion: v1
kind: Secret
metadata:
  name: sesos-secrets
  labels:
    app: sesos
type: Opaque
stringData:
  # Database credentials
  database-url: "postgresql://sesos_user:CHANGE_ME@postgres:5432/sesos"
  database-user: "sesos_user"
  database-password: "CHANGE_ME_PASSWORD"
  
  # Redis
  redis-url: "redis://redis:6379/0"
  
  # Security keys (generate with: openssl rand -hex 32)
  secret-key: "CHANGE_ME_GENERATE_32_BYTE_HEX"
  jwt-secret: "CHANGE_ME_GENERATE_32_BYTE_HEX"
  encryption-key: "CHANGE_ME_GENERATE_32_BYTE_HEX"
  
  # External API keys
  openai-api-key: "CHANGE_ME_OPENAI_KEY"
  
  # Email/SMTP
  smtp-host: "smtp.example.com"
  smtp-user: "noreply@example.com"
  smtp-password: "CHANGE_ME_SMTP_PASSWORD"
  
  # OAuth providers (optional)
  google-client-id: ""
  google-client-secret: ""
  microsoft-client-id: ""
  microsoft-client-secret: ""
---
apiVersion: v1
kind: ConfigMap
metadata:
  name: sesos-config
  labels:
    app: sesos
data:
  # Application configuration
  ENVIRONMENT: "production"
  LOG_LEVEL: "INFO"
  
  # Feature flags
  ENABLE_AI_FEATURES: "true"
  ENABLE_MFA: "true"
  ENABLE_AUDIT_LOG: "true"
  
  # Rate limiting
  RATE_LIMIT_REQUESTS: "100"
  RATE_LIMIT_WINDOW: "60"
  
  # Session configuration
  SESSION_TIMEOUT: "3600"
  MAX_SESSIONS_PER_USER: "5"
  
  # File upload limits
  MAX_FILE_SIZE: "52428800"  # 50MB
  ALLOWED_FILE_TYPES: "pdf,doc,docx,xls,xlsx,csv,png,jpg,jpeg"
  
  # CORS settings
  CORS_ORIGINS: "https://sesos.example.com"
  
  # API rate limits
  API_RATE_LIMIT: "1000"
  API_RATE_LIMIT_WINDOW: "3600"